UNIT mTAmpel1;

interface

type
   TZustand = (rot,rotgelb,gruen,gelb);

   TAmpel = CLASS

     // Attribute
     private
        FZustand : TZustand;

     // Methoden
     public
        procedure SetZustand(z : TZustand);
        procedure switchZustand;
        function GetZustand : TZustand;
        constructor Create;
   end;

implementation

//+---------------------------------------------------------------------
//|         TAmpel: Methodendefinition
//+---------------------------------------------------------------------

constructor TAmpel.Create;
begin
  inherited Create;
  FZustand := rot;
end;

//-------- SetZustand (public) -----------------------------------------
procedure TAmpel.SetZustand(z : TZustand);
begin
  FZustand := z;
end;

//-------- switchZustand (public) --------------------------------------
procedure TAmpel.switchZustand;
begin
  case FZustand of
    rot     : FZustand := rotgelb;
    rotgelb : FZustand := gruen;
    gruen   : FZustand := gelb;
    gelb    : FZustand := rot;
  end;
end;

//-------- GetZustand (public) -----------------------------------------
function TAmpel.GetZustand : TZustand;
begin
  Result := FZustand;
end;

end.
