unit uAmpel1; { mk, 6.5.03 }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, mTAmpel1;

type
  TForm1 = class(TForm)
    pAmpel: TPanel;
    shRot: TShape;
    shGelb: TShape;
    shGruen: TShape;
    bSchalte: TButton;
    pStange: TPanel;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure bSchalteClick(Sender: TObject);
  private
    Ampel : TAmpel;
    procedure updateView;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Ampel := TAmpel.Create;
  updateView;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  Ampel.Free;
end;

procedure TForm1.updateView;
const
  clGreen = $0000FF00; // Hilfe zu TColor
begin
  case Ampel.GetZustand of
    rot     : begin
                shRot.Brush.Color := clRed;
                shGelb.Brush.Color := clBlack;
                shGruen.Brush.Color := clBlack;
              end;
    rotgelb : begin
                shRot.Brush.Color := clRed;
                shGelb.Brush.Color := clYellow;
                shGruen.Brush.Color := clBlack;
              end;
    gruen   : begin
                shRot.Brush.Color := clBlack;
                shGelb.Brush.Color := clBlack;
                shGruen.Brush.Color := clGreen;
              end;
    gelb    : begin
                shRot.Brush.Color := clBlack;
                shGelb.Brush.Color := clYellow;
                shGruen.Brush.Color := clBlack;
              end;
  end;
end;

procedure TForm1.bSchalteClick(Sender: TObject);
begin
  Ampel.switchZustand;
  updateView;
end;

end.
